### Constructor

# Camel KeyTable new

#### Declaration [src]

    CamelKeyTable*
    camel_key_table_new (
      CamelBlockFile* bs,
      camel_block_t root
    )

#### Description

No description available.

#### Parameters

`bs`

  Type: `CamelBlockFile`

  No description available.

  The data is owned by the caller of the function.

`root`

  Type: `camel_block_t`

  No description available.

#### Return value

Type: `CamelKeyTable`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.